<?php
ini_set("display_errors", "On");//打开错误提示
ini_set("error_reporting",E_ALL);//显示所有错误
/*
 * cli入口脚本
 * cli 配置文件：conf/cli.ini
 * cli bootstrap：application/BootstrapCli.php ( 在cli.ini中配置
 * 默认模块：modules/cli
 * 脚本位置：modules/cli/controllers/xxx.php
 * 调用方式：php cli.php controller action "a=1&b=2"
 * 测试脚本：php cli.php test index "a=1&b=2"
 */
if( !substr(php_sapi_name(), 0, 3) == 'cli' ) {
    die;
}

/* 定义这个常量是为了在cli.ini中引用*/
define('ROOT_PATH', realpath(__DIR__.'/../'));
define('APP_PATH', realpath(__DIR__.'/../application'));
define('APP_START', microtime(true));

require ROOT_PATH . '/vendor/autoload.php';
$application = new Yaf\Application( ROOT_PATH . "/conf/cli.ini");

/**
 * 获取模块/控制器/方法
usage: php cli.php "t=Wallet&n=2&j=sync_wallet"
usage: php cli.php Wallet sync_wallet 2
 *
 */
$module = "cli";
$controller = "daemon";
$method     = "run";


$param      = [];
$param['t'] = $argv[1] ?? "Wallet";
$param['n'] = $argv[2] ?? 2;
$param['j'] = $argv[3] ?? "sync_wallet";


/*
if (!empty($argv[3]))
{
    parse_str($argv[3], $param);
}
*/
$application->bootstrap()->getDispatcher()->dispatch( new Yaf\Request\Simple("", $module, $controller,$method,$param) );
